# Parma_Watchdog_Library::Handler Class Reference

Abstract base class for handlers of the watchdog events. More...

`#include <pwl.hh>`

Inherited by Parma_Watchdog_Library::Handler_Flag< Flag_Base, Flag >`[virtual]`, and Parma_Watchdog_Library::Handler_Function`[virtual]`.

List of all members.

## Public Member Functions

virtual void | act () const =0
| Does the job.
virtual | ~Handler ()
| Virtual destructor.

## Detailed Description

Abstract base class for handlers of the watchdog events.

The documentation for this class was generated from the following file:

- pwl.hh